We read every piece of feedback, and take your input very seriously.
To see all available qualifiers, see our documentation.
1 parent dc7e49b commit d4ea677Copy full SHA for d4ea677
.github/workflows/CI.yml
@@ -35,8 +35,9 @@ jobs:
35
with:
36
python-version: 3.x
37
38
- - name: Set up common
39
- run: pip install --upgrade cmake
+ - name: Install CMake Linux
+ if: contains(matrix.os, 'ubuntu')
40
+ run: ci/install_cmake.sh
41
42
- name: Install GFortran Linux
43
if: contains( matrix.os, 'ubuntu')
ci/install_cmake.sh
@@ -0,0 +1,7 @@
1
+#!/bin/bash
2
+
3
+set -ex
4
5
+wget -qO- https://github.com/Kitware/CMake/releases/download/v3.16.3/cmake-3.16.3-Linux-x86_64.tar.gz | sudo tar xz --strip=1 -C /usr/local/
6
+which cmake
7
+cmake --version
0 commit comments